Vla-anglefromxaxis

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-anglefromxaxis vla-object pt1 pt2)


機能
X 軸からの線分の角度を取得する。


引数
  • vla-object … vlaオブジェクト
  • pt1 … 角度の始点。バリアント型 (3 要素の倍精度浮動小数点数型配列)
  • pt2 … 角度の終点。バリアント型 (3 要素の倍精度浮動小数点数型配列)


戻り値
線分の角度のラジアン値(倍精度浮動小数点数型)


サンプル
(setq *ActDoc* (vla-get-ActiveDocument (vlax-get-Acad-Object)))
(setq *util* (vla-get-utility *actdoc*))

(setq pt1 (vla-getpoint *util* nil "\n角度の始点 :"))
(setq pt2 (vla-getpoint *util* pt1 "\n角度の終点 :"))
(setq ang1 (vla-anglefromxaxis *util* pt1 pt2))
; 3.21616

(vla-angletostring *util* ang1 acdegrees 3)
; "184.272"


関連事項